@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300&display=swap");

.home-container {
  padding-top: 2rem;
  padding-right: 10rem;
  padding-left: 10rem;
  color: #dedede;
  background-color: #000000;
  width: 80vw;
  height: 100vh;
  display: flex;
  align-items: center;
  margin-top: 3rem;
  flex-wrap: nowrap;
  gap: 10rem;
}

.left-container {
  height: 90vh;
  /* max-width: 50vw; */
}
.right-container {
  height: 90vh;
  position: relative;
  /* max-width: 50vw; */
}

.join-membership {
  display: flex;
  align-items: center;
  justify-content: start;
  gap: 1rem;
  background-color: #191919;
  margin: 0;
  width: 20vw;
  min-width: 20vh;
  padding: 0 1rem;
  height: 2rem;
  border: none;
  border-radius: 5rem;
}

.join-btn {
  border: none;
  border-radius: 8px;
  font-size: x-small;
  padding: 4px 8px;
  cursor: pointer;
  display: inline-block;
  overflow: hidden;
  white-space: nowrap;
}

.join-membership:first-of-type {
  animation: showup 6s infinite;
}

.join-membership:last-of-type {
  /* width: vw; */
  animation: reveal 5s infinite;
}

.join-membership:last-of-type span {
  margin-left: -100px;
  animation: slidein 5s infinite;
}

@keyframes showup {
  0% {
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}

@keyframes slidein {
  0% {
    margin-left: -700px;
  }
  20% {
    margin-left: -700px;
  }
  30% {
    margin-left: 0px;
  }
  100% {
    margin-left: 0px;
  }
}

@keyframes reveal {
  0% {
    opacity: 0;
    width: 0px;
  }
  20% {
    opacity: 0;
    width: 0px;
  }
  30% {
    width: 336px;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 0;
    width: 336px;
  }
}

.join-txt {
  font-size: 15px;
}

.wrapper-home {
  max-width: 35vw;
}

.home-title {
  font-size: 75px;
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
}

.home-prg {
  max-width: 28vw;
  font-size: 24px;
  line-height: 2rem;
  font-weight: 400;
  font-family: "Cairo", sans-serif;
}

.wrapper-btn {
  display: flex;
  align-items: center;
  gap: 2rem;
  padding-bottom: 3rem;
  /* padding: 2rem 0; */
}

.start-btn {
  padding: 19px 29px;
  border: none;
  border-radius: 10px;
  min-width: 12vw;
  font-weight: bold;
  background-color: #ff4655;
  color: #dedede;
  font-size: 20px;
  cursor: pointer;
}

.demo-btn {
  display: flex;
  align-items: center;
  gap: 0.5rem;
  padding: 19px 29px;
  border: none;
  border-radius: 10px;
  min-width: 12vw;
  font-weight: bold;
  font-size: 20px;
  cursor: pointer;
}

.wrapper-details {
  display: flex;
  align-items: center;
  justify-content: start;
  gap: 3rem;
  /* max-width: 20vw; */
}

.details-ex {
  height: 4rem;
}

.details-memb {
  height: 4rem;
}

.details-coach {
  height: 4rem;
}

.ex-nb {
  font-weight: 500;
  font-size: 30px;
  margin-bottom: 0.5rem;
}
.ex-prg {
  font-weight: 400;
  font-size: small;
  opacity: 0.5;
}

.memb-nb {
  font-weight: 500;
  font-size: 30px;
  margin-bottom: 0.5rem;
}

.memb-prg {
  font-weight: 400;
  font-size: small;
  opacity: 0.5;
}

.coach-nb {
  font-weight: 500;
  font-size: 30px;
  margin-bottom: 0.5rem;
}

.coach-prg {
  font-weight: 400;
  font-size: small;
  opacity: 0.5;
}

.right-title {
  position: absolute;
  color: #191919;
  margin: 0;
  font-weight: 300;
  padding: 0;
  left: -325px;
  top: 10rem;
  transform: rotate(-90deg);
  font-family: "Cairo", sans-serif;
  font-size: 140px;
}

.home-img {
  position: relative;
  margin-top: 4rem;
  margin-right: 2rem;
  margin-bottom: -3rem;
  /* height: 60vh; */
}

.rate-ctn {
  position: absolute;
  top: -10px;
  right: -40px;
  opacity: 0.8;
  min-width: 7vw;
  height: 15vh;
  border: none;
  border-radius: 15px;
  padding: 10px 25px;
  background-color: #1e2127;
}

.rate-icon {
  background-color: #34373d;
  width: 35px;
  height: 35px;
  margin-top: 15px;
}

.heart-icon {
  padding: 8px;
  color: #f42f64;
}

.rate-p {
  font-size: 14px;
}

.rate-nb {
  color: #f42f64;
  font-size: 25px;
  font-weight: 600;
}

.cal-ctn {
  position: absolute;
  bottom: 10;
  left: -35px;
  opacity: 0.8;
  min-width: 7vw;
  height: 15vh;
  border: none;
  border-radius: 15px;
  padding: 10px 25px;
  background-color: #1e2127;
}

.cal-p {
  font-size: 14px;
}

.cal-nb {
  color: #ffe642;
  font-size: 25px;
  font-weight: 600;
}

.cal-graph {
  display: inline-block;
  height: 70px;
  transform: rotate(-90deg);
}

.g1 {
  width: 40px;
  height: 8px;
  border-radius: 4px;
  background-color: #ffe642;
}

.g2 {
  width: 70px;
  height: 8px;
  margin: 20px 0;
  border-radius: 4px;
  background-color: #ffe642;
}
.g3 {
  width: 60px;
  height: 8px;
  margin: 20px 0;
  border-radius: 4px;
  background-color: #ffe642;
}
.g4 {
  width: 30px;
  height: 8px;
  margin: 20px 0;
  border-radius: 4px;
  background-color: #ffe642;
}

.g5 {
  width: 45px;
  height: 8px;
  margin: 20px 0;
  border-radius: 4px;
  background-color: #ffe642;
}
